import { c as cleanupNuxtDirs } from '../shared/nuxi.dfc4d6fe.mjs';
import { d as defineCommand } from '../shared/nuxi.89381a23.mjs';
import { s as sharedArgs, l as legacyRootDirArgs } from '../shared/nuxi.01862219.mjs';
import { r as resolve } from '../shared/nuxi.dcd5f40f.mjs';
import 'node:fs';
import 'node:util';
import 'node:path';
import 'node:process';
import 'node:tty';
import '../shared/nuxi.20a653f0.mjs';
import 'node:url';

const cleanup = defineCommand({
  meta: {
    name: "cleanup",
    description: "Cleanup generated nuxt files and caches"
  },
  args: {
    ...sharedArgs,
    ...legacyRootDirArgs
  },
  async run(ctx) {
    const cwd = resolve(ctx.args.cwd || ctx.args.rootDir || ".");
    await cleanupNuxtDirs(cwd);
  }
});

export { cleanup as default };
